# Xorg 7.2 configuration for Acer Ferrari 3400 LMi
#
# Available at http://ferrari.databa.se/3400/f8/xorg.conf

Section "ServerLayout"
	Identifier  "Default Layout"
	Screen    0 "Screen0"		0 0
	InputDevice "Keyboard0"		"CoreKeyboard"
	InputDevice "Synaptics"		"CorePointer"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel"		"pc105"
	Option	    "XkbLayout"		"se"
EndSection

Section "InputDevice"
	Identifier  "Synaptics"
	Driver      "synaptics"
	Option	    "Device"		"/dev/input/mice"
	Option	    "Protocol"		"auto-dev"
	Option	    "Emulate3Buttons"	"yes"
EndSection

Section "Monitor"
        Identifier  "Internal Panel"
        VendorName  "Acer"
        ModelName   "Ferrari 3400 LMi"
#        Option      "PreferredMode"     "1400x1050"
EndSection

Section "Monitor"
        Identifier  "External VGA Monitor"
#        Option      "LeftOf"            "Internal Panel"
EndSection

Section "Monitor"
        Identifier  "External TV"
#        Option      "RightOf"           "Internal Panel"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
        Option      "Monitor-LVDS"      "Internal Panel"
        Option      "Monitor-VGA-0"     "External VGA Monitor"
        Option      "Monitor-S-video"   "External TV"

#       Option      "AccelMethod"       "XAA"
#       Option      "AGPMode"           "1"
#       Option      "ColorTiling"       "1"
        Option      "EnablePageFlip"    "1"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Virtual	  3000 2000
	EndSubSection
EndSection
